<template>
  <div class="query-container">
    <!-- <div slot="header" class="clearfix">
      <span>查詢客戶資料</span>
    </div>-->
    <div>
      <el-form ref="form1" :rules="rules" :model="model" label-position="left" label-width="150px">
        <el-form-item label="客戶代號" prop="custId">
          <el-input v-model="model.custId" placeholder="客戶代號" />
        </el-form-item>
        <el-form-item>
          <el-button type="primary" @click="onReset()">重置</el-button>
          <el-button type="primary" @click="onSubmit()">查詢</el-button>
        </el-form-item>
      </el-form>
    </div>
  </div>
</template>

<script>
import json from '@/dataModel/query/custForm'
import { doQuery } from '@/utils/common'

export default {
  data() {
    return {
      formName: 'form1',
      model: Object.assign({}, json),
      rules: null
      // rules: {
      //   custId: [
      //     { required: true, message: '請輸入資料', trigger: 'blur' }
      //   ]
      // }
    }
  },
  methods: {
    onSubmit() {
      this.$refs['form1'].validate((valid) => {
        if (valid) {
          doQuery('/cust/lists', this.model, 10)
            .then(resp => {
              if (resp.total > 0) {
                this.$router.push({ path: '/mainFunction/adjust/adjustM/list' })
              }
            })
        } else {
          return false
        }
      })
    },
    onReset() {
      this.$refs['form1'].resetFields()
    }
  }
}
</script>
